
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.stonebomb.donutz.init;

import net.stonebomb.donutz.item.RawDonutHoleItem;
import net.stonebomb.donutz.item.PotatoringSugarItem;
import net.stonebomb.donutz.item.PotatoRingSmileyItem;
import net.stonebomb.donutz.item.PotatoRingSWItem;
import net.stonebomb.donutz.item.PotatoRingRawItem;
import net.stonebomb.donutz.item.PotatoRingItem;
import net.stonebomb.donutz.item.PotatoRingHoneyItem;
import net.stonebomb.donutz.item.PotatoRingConstructionItem;
import net.stonebomb.donutz.item.PotatoRingChocoItem;
import net.stonebomb.donutz.item.FilledSweetBerryItem;
import net.stonebomb.donutz.item.FilledSugarItem;
import net.stonebomb.donutz.item.FilledStrawberryItem;
import net.stonebomb.donutz.item.FilledRaspberryItem;
import net.stonebomb.donutz.item.FilledPeanutButterItem;
import net.stonebomb.donutz.item.FilledPeachItem;
import net.stonebomb.donutz.item.FilledMatizItem;
import net.stonebomb.donutz.item.FilledHoneyItem;
import net.stonebomb.donutz.item.FilledGrapeItem;
import net.stonebomb.donutz.item.FilledElderberryItem;
import net.stonebomb.donutz.item.FilledConstructionItem;
import net.stonebomb.donutz.item.FilledChocoItem;
import net.stonebomb.donutz.item.FilledCherryItem;
import net.stonebomb.donutz.item.FilledCaramelItem;
import net.stonebomb.donutz.item.FilledBlueberryItem;
import net.stonebomb.donutz.item.FilledBlackberryItem;
import net.stonebomb.donutz.item.FilledApricotItem;
import net.stonebomb.donutz.item.DonutSweetBerryItem;
import net.stonebomb.donutz.item.DonutSugarItem;
import net.stonebomb.donutz.item.DonutStrawberryItem;
import net.stonebomb.donutz.item.DonutSmileyItem;
import net.stonebomb.donutz.item.DonutRawItem;
import net.stonebomb.donutz.item.DonutRaspberryItem;
import net.stonebomb.donutz.item.DonutPeanutButterItem;
import net.stonebomb.donutz.item.DonutPeachItem;
import net.stonebomb.donutz.item.DonutMChocolateItem;
import net.stonebomb.donutz.item.DonutHoneyItem;
import net.stonebomb.donutz.item.DonutHoleSugarItem;
import net.stonebomb.donutz.item.DonutHoleItem;
import net.stonebomb.donutz.item.DonutGrapeItem;
import net.stonebomb.donutz.item.DonutFilledRawItem;
import net.stonebomb.donutz.item.DonutFilledBasicItem;
import net.stonebomb.donutz.item.DonutElderberryItem;
import net.stonebomb.donutz.item.DonutConstructionItem;
import net.stonebomb.donutz.item.DonutCherryItem;
import net.stonebomb.donutz.item.DonutCaramelItem;
import net.stonebomb.donutz.item.DonutBlueberryItem;
import net.stonebomb.donutz.item.DonutBlackberryItem;
import net.stonebomb.donutz.item.DonutBasicItem;
import net.stonebomb.donutz.item.DonutApricotItem;
import net.stonebomb.donutz.DonutzMod;

import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.RegistryObject;

import net.minecraft.item.Item;

public class DonutzModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, DonutzMod.MODID);
	public static final RegistryObject<Item> DONUT_BASIC = REGISTRY.register("donut_basic", () -> new DonutBasicItem());
	public static final RegistryObject<Item> DONUT_RAW = REGISTRY.register("donut_raw", () -> new DonutRawItem());
	public static final RegistryObject<Item> DONUT_FILLED_BASIC = REGISTRY.register("donut_filled_basic", () -> new DonutFilledBasicItem());
	public static final RegistryObject<Item> DONUT_FILLED_RAW = REGISTRY.register("donut_filled_raw", () -> new DonutFilledRawItem());
	public static final RegistryObject<Item> DONUT_SUGAR = REGISTRY.register("donut_sugar", () -> new DonutSugarItem());
	public static final RegistryObject<Item> FILLED_SUGAR = REGISTRY.register("filled_sugar", () -> new FilledSugarItem());
	public static final RegistryObject<Item> DONUT_SWEET_BERRY = REGISTRY.register("donut_sweet_berry", () -> new DonutSweetBerryItem());
	public static final RegistryObject<Item> FILLED_SWEET_BERRY = REGISTRY.register("filled_sweet_berry", () -> new FilledSweetBerryItem());
	public static final RegistryObject<Item> DONUT_HONEY = REGISTRY.register("donut_honey", () -> new DonutHoneyItem());
	public static final RegistryObject<Item> FILLED_HONEY = REGISTRY.register("filled_honey", () -> new FilledHoneyItem());
	public static final RegistryObject<Item> FILLED_MATIZ = REGISTRY.register("filled_matiz", () -> new FilledMatizItem());
	public static final RegistryObject<Item> DONUT_SMILEY = REGISTRY.register("donut_smiley", () -> new DonutSmileyItem());
	public static final RegistryObject<Item> DONUT_CONSTRUCTION = REGISTRY.register("donut_construction", () -> new DonutConstructionItem());
	public static final RegistryObject<Item> FILLED_CONSTRUCTION = REGISTRY.register("filled_construction", () -> new FilledConstructionItem());
	public static final RegistryObject<Item> DONUT_CARAMEL = REGISTRY.register("donut_caramel", () -> new DonutCaramelItem());
	public static final RegistryObject<Item> FILLED_CARAMEL = REGISTRY.register("filled_caramel", () -> new FilledCaramelItem());
	public static final RegistryObject<Item> DONUT_PEANUT_BUTTER = REGISTRY.register("donut_peanut_butter", () -> new DonutPeanutButterItem());
	public static final RegistryObject<Item> FILLED_PEANUT_BUTTER = REGISTRY.register("filled_peanut_butter", () -> new FilledPeanutButterItem());
	public static final RegistryObject<Item> DONUT_CHERRY = REGISTRY.register("donut_cherry", () -> new DonutCherryItem());
	public static final RegistryObject<Item> DONUT_APRICOT = REGISTRY.register("donut_apricot", () -> new DonutApricotItem());
	public static final RegistryObject<Item> DONUT_PEACH = REGISTRY.register("donut_peach", () -> new DonutPeachItem());
	public static final RegistryObject<Item> DONUT_BLUEBERRY = REGISTRY.register("donut_blueberry", () -> new DonutBlueberryItem());
	public static final RegistryObject<Item> DONUT_ELDERBERRY = REGISTRY.register("donut_elderberry", () -> new DonutElderberryItem());
	public static final RegistryObject<Item> DONUT_GRAPE = REGISTRY.register("donut_grape", () -> new DonutGrapeItem());
	public static final RegistryObject<Item> DONUT_STRAWBERRY = REGISTRY.register("donut_strawberry", () -> new DonutStrawberryItem());
	public static final RegistryObject<Item> DONUT_RASPBERRY = REGISTRY.register("donut_raspberry", () -> new DonutRaspberryItem());
	public static final RegistryObject<Item> DONUT_BLACKBERRY = REGISTRY.register("donut_blackberry", () -> new DonutBlackberryItem());
	public static final RegistryObject<Item> FILLED_CHERRY = REGISTRY.register("filled_cherry", () -> new FilledCherryItem());
	public static final RegistryObject<Item> FILLED_APRICOT = REGISTRY.register("filled_apricot", () -> new FilledApricotItem());
	public static final RegistryObject<Item> FILLED_PEACH = REGISTRY.register("filled_peach", () -> new FilledPeachItem());
	public static final RegistryObject<Item> FILLED_BLUEBERRY = REGISTRY.register("filled_blueberry", () -> new FilledBlueberryItem());
	public static final RegistryObject<Item> FILLED_ELDERBERRY = REGISTRY.register("filled_elderberry", () -> new FilledElderberryItem());
	public static final RegistryObject<Item> FILLED_GRAPE = REGISTRY.register("filled_grape", () -> new FilledGrapeItem());
	public static final RegistryObject<Item> FILLED_STRAWBERRY = REGISTRY.register("filled_strawberry", () -> new FilledStrawberryItem());
	public static final RegistryObject<Item> FILLED_RASPBERRY = REGISTRY.register("filled_raspberry", () -> new FilledRaspberryItem());
	public static final RegistryObject<Item> FILLED_BLACKBERRY = REGISTRY.register("filled_blackberry", () -> new FilledBlackberryItem());
	public static final RegistryObject<Item> DONUT_HOLE = REGISTRY.register("donut_hole", () -> new DonutHoleItem());
	public static final RegistryObject<Item> RAW_DONUT_HOLE = REGISTRY.register("raw_donut_hole", () -> new RawDonutHoleItem());
	public static final RegistryObject<Item> DONUT_HOLE_SUGAR = REGISTRY.register("donut_hole_sugar", () -> new DonutHoleSugarItem());
	public static final RegistryObject<Item> POTATO_RING_RAW = REGISTRY.register("potato_ring_raw", () -> new PotatoRingRawItem());
	public static final RegistryObject<Item> POTATO_RING = REGISTRY.register("potato_ring", () -> new PotatoRingItem());
	public static final RegistryObject<Item> POTATORING_SUGAR = REGISTRY.register("potatoring_sugar", () -> new PotatoringSugarItem());
	public static final RegistryObject<Item> POTATO_RING_SW = REGISTRY.register("potato_ring_sw", () -> new PotatoRingSWItem());
	public static final RegistryObject<Item> POTATO_RING_HONEY = REGISTRY.register("potato_ring_honey", () -> new PotatoRingHoneyItem());
	public static final RegistryObject<Item> DONUT_M_CHOCOLATE = REGISTRY.register("donut_m_chocolate", () -> new DonutMChocolateItem());
	public static final RegistryObject<Item> FILLED_CHOCO = REGISTRY.register("filled_choco", () -> new FilledChocoItem());
	public static final RegistryObject<Item> POTATO_RING_CHOCO = REGISTRY.register("potato_ring_choco", () -> new PotatoRingChocoItem());
	public static final RegistryObject<Item> POTATO_RING_SMILEY = REGISTRY.register("potato_ring_smiley", () -> new PotatoRingSmileyItem());
	public static final RegistryObject<Item> POTATO_RING_CONSTRUCTION = REGISTRY.register("potato_ring_construction", () -> new PotatoRingConstructionItem());
	// Start of user code block custom items
	// End of user code block custom items
}
